org.jbpm.kie.services.impl.admin

## Class TaskNotificationImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.TaskNotificationImpl

- All Implemented Interfaces:
    Serializable, TaskNotification

      public class TaskNotificationImpl
      extends Object
      implements TaskNotification

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskNotificationImpl(Long id, String name, String subject, String content, Date date, List<org.kie.api.task.model.OrganizationalEntity> recipients, List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators, boolean active)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getBusinessAdministrators()` Returns list of business admins that notification will be sent to
    `String` | `getContent()` Returns the content for this notification
    `Date` | `getDate()` Returns date that the notification is schedule to happen
    `Long` | `getId()` Returns unique id of the task notification
    `String` | `getName()` Returns optional name of the notification
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getRecipients()` Returns list of recipients that notification will be sent to
    `String` | `getSubject()` Returns the subject line for this notification
    `boolean` | `isActive()` Returns if given notification is active
    `void` | `setActive(boolean active)`
    `void` | `setBusinessAdministrators(List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)`
    `void` | `setContent(String content)`
    `void` | `setDate(Date date)`
    `void` | `setId(Long id)`
    `void` | `setName(String name)`
    `void` | `setRecipients(List<org.kie.api.task.model.OrganizationalEntity> recipients)`
    `void` | `setSubject(String subject)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskNotificationImpl

          public TaskNotificationImpl(Long id,
                                      String name,
                                      String subject,
                                      String content,
                                      Date date,
                                      List<org.kie.api.task.model.OrganizationalEntity> recipients,
                                      List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators,
                                      boolean active)

  - ### Method Detail

    - #### getId

          public Long getId()

      Description copied from interface: `TaskNotification`
      Returns unique id of the task notification
      Specified by:
        `getId` in interface `TaskNotification`
      Returns:
        task notification id

    - #### setId

          public void setId(Long id)

    - #### getName

          public String getName()

      Description copied from interface: `TaskNotification`
      Returns optional name of the notification
      Specified by:
        `getName` in interface `TaskNotification`
      Returns:
        notification name

    - #### setName

          public void setName(String name)

    - #### getSubject

          public String getSubject()

      Description copied from interface: `TaskNotification`
      Returns the subject line for this notification
      Specified by:
        `getSubject` in interface `TaskNotification`
      Returns:
        notification subject

    - #### setSubject

          public void setSubject(String subject)

    - #### getContent

          public String getContent()

      Description copied from interface: `TaskNotification`
      Returns the content for this notification
      Specified by:
        `getContent` in interface `TaskNotification`
      Returns:
        notification content

    - #### setContent

          public void setContent(String content)

    - #### getDate

          public Date getDate()

      Description copied from interface: `TaskNotification`
      Returns date that the notification is schedule to happen
      Specified by:
        `getDate` in interface `TaskNotification`
      Returns:
        time notification is scheduled

    - #### setDate

          public void setDate(Date date)

    - #### getRecipients

          public List<org.kie.api.task.model.OrganizationalEntity> getRecipients()

      Description copied from interface: `TaskNotification`
      Returns list of recipients that notification will be sent to
      Specified by:
        `getRecipients` in interface `TaskNotification`
      Returns:
        list of recipients

    - #### setRecipients

          public void setRecipients(List<org.kie.api.task.model.OrganizationalEntity> recipients)

    - #### getBusinessAdministrators

          public List<org.kie.api.task.model.OrganizationalEntity> getBusinessAdministrators()

      Description copied from interface: `TaskNotification`
      Returns list of business admins that notification will be sent to
      Specified by:
        `getBusinessAdministrators` in interface `TaskNotification`
      Returns:
        business admin list

    - #### setBusinessAdministrators

          public void setBusinessAdministrators(List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)

    - #### isActive

          public boolean isActive()

      Description copied from interface: `TaskNotification`
      Returns if given notification is active
      Specified by:
        `isActive` in interface `TaskNotification`
      Returns:
        active

    - #### setActive

          public void setActive(boolean active)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.